package obsws

// This file is automatically generated.
// https://github.com/christopher-dG/go-obs-websocket/blob/master/codegen/protocol.py

// SourceOrderChangedEvent : Scene items have been reordered.
//
// Since obs-websocket version: 4.0.0.
//
// https://github.com/Palakis/obs-websocket/blob/4.3-maintenance/docs/generated/protocol.md#sourceorderchanged
type SourceOrderChangedEvent struct {
	// Name of the scene where items have been reordered.
	// Required: Yes.
	SceneName string `json:"scene-name"`
	_event    `json:",squash"`
}

// SceneItemAddedEvent : An item has been added to the current scene.
//
// Since obs-websocket version: 4.0.0.
//
// https://github.com/Palakis/obs-websocket/blob/4.3-maintenance/docs/generated/protocol.md#sceneitemadded
type SceneItemAddedEvent struct {
	// Name of the scene.
	// Required: Yes.
	SceneName string `json:"scene-name"`
	// Name of the item added to the scene.
	// Required: Yes.
	ItemName string `json:"item-name"`
	_event   `json:",squash"`
}

// SceneItemRemovedEvent : An item has been removed from the current scene.
//
// Since obs-websocket version: 4.0.0.
//
// https://github.com/Palakis/obs-websocket/blob/4.3-maintenance/docs/generated/protocol.md#sceneitemremoved
type SceneItemRemovedEvent struct {
	// Name of the scene.
	// Required: Yes.
	SceneName string `json:"scene-name"`
	// Name of the item removed from the scene.
	// Required: Yes.
	ItemName string `json:"item-name"`
	_event   `json:",squash"`
}

// SceneItemVisibilityChangedEvent : An item's visibility has been toggled.
//
// Since obs-websocket version: 4.0.0.
//
// https://github.com/Palakis/obs-websocket/blob/4.3-maintenance/docs/generated/protocol.md#sceneitemvisibilitychanged
type SceneItemVisibilityChangedEvent struct {
	// Name of the scene.
	// Required: Yes.
	SceneName string `json:"scene-name"`
	// Name of the item in the scene.
	// Required: Yes.
	ItemName string `json:"item-name"`
	// New visibility state of the item.
	// Required: Yes.
	ItemVisible bool `json:"item-visible"`
	_event      `json:",squash"`
}
